#include "Arduino.h"
#include "SoftwareSerial.h"
#include "DFRobotDFPlayerMini.h"

//---------------------------------------------------------------------------------
//      Áudio
//---------------------------------------------------------------------------------

//Inicia a serial por software nos pinos 10 e 11
SoftwareSerial mySoftwareSerial(10, 11); // RX, TX

DFRobotDFPlayerMini myDFPlayer;

char buf;
int pausa = 0;
int equalizacao = 0;

int resultado = 0;

int pinoSensorMovimento1 = 4;
int acionamentoSensor1;

//---------------------------------------------------------------------------------
  
// setup (executado apenas uma vez)
void setup() {

  //Serial.begin(9600);
  
  defineAudio();
  pinMode(pinoSensorMovimento1, INPUT);
  
}
 
// laço principal (executado indefinidamente)
void loop() {  

  acionamentoSensor1 = digitalRead(pinoSensorMovimento1);
  Serial.println(acionamentoSensor1);

  if (acionamentoSensor1 == 0) {
    resultado = random(1, 14);
    myDFPlayer.play(resultado);
    delay(1000);
  }

}

void defineAudio(){

  //Definicoes iniciais
  mySoftwareSerial.begin(9600);
  myDFPlayer.begin(mySoftwareSerial); //inicia módulo MP3, essa linha ficava dentro da Serial
  
  myDFPlayer.setTimeOut(500); //Timeout serial 500ms
  myDFPlayer.volume(30); 
  myDFPlayer.EQ(0); //Equalizacao normal  

}

